<?php

defined ('_JEXEC') or die('No Access');

jimport('joomla.application.component.model');
jimport('joomla.html.pagination');

class SheduleModelLines extends JModel
{
    public $_data       = null;
    public $_pagination = null;
    
    public function __construct()
    {
        parent::__construct();        
    }   

    private function _buildQuery()
    {
        $query = 'SELECT * FROM #__shedule_lines ORDER BY ordering';
        return $query;
    }

    public function getPagination()
    {
        if (!$this->_pagination) {
            $count = count($this->_data);
            $this->_pagination = new JPagination($count, 0, $count);
        }
        
        return $this->_pagination;        
    }

    public function getItems()
    {
        if (!$this->_data) {
            $query = $this->_buildQuery();        
            $this->_db->setQuery($query);
            $this->_data = $this->_db->loadObjectList();
        }
        
        return $this->_data;        
    } 
}