<?php

defined ('_JEXEC') or die('No Access');

jimport('joomla.application.component.model');

class SheduleModelSheduleAdd extends JModel
{
    public $id = null;
    
    public function __construct()
    {
        parent::__construct();        
    }
    
    public function getItem()
    {
        $row = $this->getTable('Shedule');
        
        $row->load($this->id);
        return $row;
    }
    
    public function getCellData($row)
    {
        $day = $this->getTable('Days');
        $day->load($row->day_id);
        
        $line = $this->getTable('Lines');
        $line->load($row->line_id);
        
        $result = new stdClass;
        $result->day  = $day;
        $result->line = $line; 
        
        return $result;        
    }
    
    public function getEvents()
    {
        $query = 'SELECT *'
                .'  FROM #__shedule_events';
        $this->_db->setQuery($query);
        return $this->_db->loadObjectList();        
    }
    
    public function getUsers()
    {
        $query = 'SELECT *'
                .'  FROM #__shedule_users';
        $this->_db->setQuery($query);
        return $this->_db->loadObjectList();        
    }
       
}