<?php

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.mootools');
JHTML::_('behavior.tooltip');

$k = 1;

?>
<div id="shedule">
    <?php if (count($this->days)) : ?>
    <div id="selects">
        <h3>Выберите направление:</h3>
        
        <div id="events">
        <?php foreach($this->events as $event): ?>
        <a class="event<?php echo $event->id; ?>"><?php echo $event->name; ?></a>
        <?php endforeach; ?>
        <span id="reset-sel">Сбросить</span>
        </div>    
    </div>
    
    <table id="shedule-table" border="0" cellpadding="3" cellspacing="0">
    <tr>
        <th></th>
        
        <?php foreach($this->days as $day): ?>
        <th width="<?php echo (int)(100 / count($this->days)) ?>%"><?php echo $day->name; ?></th>
        <?php endforeach; ?>            
    </tr>
    
    <?php foreach($this->lines as $line): ?>
    <tr class="row<?php echo $k = 1-$k; ?>">
        <th><?php echo $line->time; ?></th>
        
        <?php foreach($this->days as $day): ?>
        <?php 
            if (isset($this->items[$line->id][$day->id])) {
                $data = $this->items[$line->id][$day->id];
                $class = 'class="event'. $data->event_id. '"';    
            } else {
                $data  = false;
                $class = '';
            }
             
        ?>
        <td <?php echo $class; ?>>
            <?php if ($data) : ?>
            <div class="hasTip" title="<?php echo $data->eventinfo; ?>">
                <p class="event"><?php echo $data->event; ?></p>     
                <p class="user"><?php echo $data->user; ?></p>           
            </div>
            <?php endif; ?>
        </td>
        <?php endforeach; ?>
    </tr>
    <?php endforeach; ?>        
    </table>
    
    <script type="text/javascript">    
    window.addEvent('domready', function () {
        var events = $$('#events a');
        var table  = $$('#shedule-table td');
        
        events.each(function (item) {
            item.addEvent('click', function () {
                events.removeClass('sel');
                table.removeClass('sel');
                
                var cl = item.getProperty('class');              
                var forActive = $('shedule').getElements('.' + cl);
                forActive.addClass('sel');           
            }); 
        });
        
        
        $('reset-sel').addEvent('click', function () {
            var active = $$('#shedule .sel');           
            if (active) active.removeClass('sel');                
        });
    });	
    </script>
    
    <?php else : ?>
    <h4>Расписание не заполнено!</h4>
    <?php endif; ?>
</div>